Bug 212342 - Install fails to boot on Gigabyte GA-965P-DS3, Core 2 Duo, 4 GB RAM
Install fails to boot on Gigabyte GA-965P-DS3, Core 2 Duo, 4 GB RAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-10-26 09:45 EDT by Daniel Tschan
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-07 19:22:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log of kernel-2.6.18-1.2798.fc6.x86_64 crashing and rejecting initrd respectively (28.54 KB, text/plain)
2006-10-26 09:45 EDT, Daniel Tschan
no flags Details

  None (edit)
Description Daniel Tschan 2006-10-26 09:45:08 EDT
Description of problem:
Install kernel crashes without options
Install kernel can't load ramdisk when memory is limited with mem=:
initrd extends beyond end of memory (0xfffdf5ba > 0x80000000)
disabling initrd

Please see the attached output for more details.

Gigabyte GA-965P-DS3 mainboard with Intel P965, ICH8 (not ICH8R), JMicron JMB363
Intel Core 2 Duo E6600
4x 1GB DDR2-675
Software RAID 5 with 4x 250gb SATA2 disks
Gigabyte GV-NX76G256D-RH PCIe graphics card with nVidia GeForce 7600 GS

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot fc6 x86_64 installer on mentioned configuration
Actual results:
Kernel crashes oder fails to load ramdisk

Expected results:
Kernel boots and installer is loaded

Additional info:
Newest BIOS Version available at this date is installed (Version F7).
32 Bit FC6 Kernels are working, although the PAE enabled one seems to have
issues, too.
FC5 didn't have this problem. Haven't tested 2.6.18 kernel yet, though.
Xen kernels while booting on this machine say: PCI: BIOS Bug: MCFG area at
f0000000 is not E820-reserved
Comment 1 Daniel Tschan 2006-10-26 09:45:08 EDT
Created attachment 139459 [details]
log of kernel-2.6.18-1.2798.fc6.x86_64 crashing and rejecting initrd respectively
Comment 2 Daniel Tschan 2006-10-27 12:08:06 EDT
Kernel 2.6.18-1.2200.fc5 is crashing the same way without mem= but is working
fine if memory is limited to 4G or less.
Comment 3 Daniel Tschan 2006-10-29 04:25:25 EST
Apparently kernel-2.6.18-1.2798.fc6.x86_64 does not correctly interpret the G
suffix of the mem parameter. It works when using mem=4096M instead of mem=4G.
Another workaround I found to be working is to disable agp with agp=off. 
Comment 4 Dan Carpenter 2006-11-12 15:04:26 EST
> ACPI Exception (acpi_processor-0681): AE_NOT_FOUND, Processor Device is not
present [20060707]

That's also clearly a BIOS bug.  That message means
arch_acpi_processor_init_pdc() and init_intel_pdc() are never called.  Knowing
what CPU is being used is important for knowing how to address RAM over 4G.

Email your mobo vendor and have them fix the BIOS.

Did this used to work in FC4 when there was a seperate ia32e kernel?
Comment 5 Daniel Tschan 2006-11-13 05:45:44 EST
I never had FC4 running on this machine. All problems go away when I use
agp=off. The system is perfectly stable and can address all memory then. See
also bug #206757. So the problem seems to be caused by the wrong initialization
of the agpgart. Kernel output from bug #206757 :

Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected an Intel 965G Chipset.
agpgart: AGP aperture is 256M @ 0x0

For some reason x86_64 kernels crash immediately with a null pointer
dereference, while i686 kernels do not.
Comment 6 Jon Stanley 2007-12-30 22:32:39 EST

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug, however this version of Fedora is no longer

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 7 Jon Stanley 2008-01-07 19:22:16 EST
Closing per previous comment.  If you can provide the requested information,
please feel free to re-open this bug.

Note You need to log in before you can comment on or make changes to this bug.